#include <Navigation/libraries/server/execution/PlatformUnitExecutor.h>


namespace armarx::nav::server
{

    PlatformUnitExecutor::PlatformUnitExecutor(PlatformUnitInterfacePrx platformUnit) :
        platformUnit{platformUnit}
    {
        // pass
    }

    PlatformUnitExecutor::~PlatformUnitExecutor()
    {
        // pass
    }

    void PlatformUnitExecutor::move(const core::Twist& twist)
    {
        platformUnit->move(twist.linear.x(), twist.linear.y(), twist.angular.z());
    }

}
