#pragma once

// RobotAPI
#include <RobotAPI/interface/units/PlatformUnitInterface.h>

// Navigation
#include <Navigation/libraries/core/types.h>
#include <Navigation/libraries/server/execution/ExecutorInterface.h>


namespace armarx::nav::server
{

    class PlatformUnitExecutor : virtual public ExecutorInterface
    {

    public:

        PlatformUnitExecutor(PlatformUnitInterfacePrx platformUnit);
        ~PlatformUnitExecutor() override;

        void move(const core::Twist &twist);

    private:

        PlatformUnitInterfacePrx platformUnit;

    };

}
